Subject: Re: Jitter and latency benchmarks with netlink / nl80211

From: Ben Greear <[email-masked]>
Date: Wed, 10 Apr 2013 11:10:08 -0700

On 04/10/2013 11:05 AM, Luis R. Rodriguez wrote:
> On Wed, Apr 10, 2013 at 10:59 AM, Ben Greear <[email-masked]> wrote:
>> On 04/10/2013 10:55 AM, Luis R. Rodriguez wrote:
>>>
>>> Curious if anyone has worked on latency and jitter benchmarks in using
>>> netlink, specifically with nl80211. Has anyone benchmarked this? Ben,
>>> have you? If not for nl80211 perhaps this has been done before for
>>> other netlink families?
>>
>>
>> You mean timing related to netlink configuration/report requests?
>
> Yes.

No, I haven't bothered to do this...  The way we use netlink is
mostly asynchronous..ie we just listen for events and process them
as they come in.  Most of our configuration would be driven through 'iw',
'wpa_supplicant', 'ip', etc, and much of our stats gathering is through
the ethool get-stats API.

I would imagine any latency would be highly dependent on other applications
taking RTNL (for instance, creating/deleting lots of virtual stations,
mac-vlans, ip-address changes, etc).

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com